import React, { Component } from 'react';
import './password-input.scss'

import Input from '../Input'

class PasswordInput extends Component {
    constructor(props) {
        super(props);
        this.state = {
            showPassword: false
        }
    }

    togglePasswordVisibility = () => {
        this.setState({showPassword: !this.state.showPassword})
    }

    render() {
        let {placeholder, onChange} = this.props
        return (
            <Input
                type={this.state.showPassword ? 'text' : 'password'}
                wrapperClass={'password-input'}
                placeholder={placeholder}
                onChange={onChange}
            >
                <i className={'iconfont iconiconfront-54'} onClick={this.togglePasswordVisibility}/>
            </Input>
        );
    }
}

export default PasswordInput;